Page 1 of 1

python mysql connector not working on VS Code

Posted: Wed Jan 13, 2021 3:25 pm
by GNULinux
i created a school project from python mysql connectivity
it used to work fine back in windows but now i dont have windows and when i run the same code here in linux i get an error
i tried searching but nothing seems to be working :cry:
luckily there is still a month in submission of project

can someone please tell how to resolve this problem :roll:

Code: Select all

Exception in Tkinter callback
Traceback (most recent call last):
  File "/home/physicist/.local/lib/python3.8/site-packages/mysql/connector/connection_cext.py", line 233, in _open_connection
    self._cmysql.connect(**cnx_kwargs)
_mysql_connector.MySQLInterfaceError: Access denied for user 'root'@'localhost'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/tkinter/__init__.py", line 1883, in __call__
    return self.func(*args)
mysql.connector.errors.ProgrammingError: 1698 (28000): Access denied for user 'root'@'localhost'
i hope you guys can help me plz.... :(